﻿<h1 id="blackhole-vlan-configuration">Blackhole VLAN Configuration</h1>
<h3 id="for-this-how-to-we-will-configure-a-black-hole-vlan-the-purpose-of-a-blackhole-vlan-is-to-ensure-that-any-unused-and-open-ports-are-configured-with-a-vlan-tagid-that-does-not-have-any-network-access-this-means-the-black-hole-vlan-is-not-a-part-of-any-broadcast-domain-or-subnet">For this How To we will configure a <strong>&quot;Black Hole&quot;</strong> VLAN. The purpose of a blackhole VLAN is to ensure that any unused and open ports are configured with a VLAN TAG/ID that does not have any network access. This means the <strong>&quot;Black Hole&quot;</strong> VLAN is not a part of any broadcast domain or subnet.</h3>
<p><img src="layer_2_security_network_diagram.png" alt="" /></p>
<ul>
<li><p>First we must configure the network for basic reachability. This How To assumes you already know how to configure and assign VLANs, trunks, SVIs, DHCP(Our DHCP server is a router), and DHCP relay.</p>
</li>
<li><p>Next comes the simple configuration of a blackhole VLAN. All we do here is configure a VLAN ID that has a random number we will not use in production, and then assign that VLAN to all unused ports.</p>
</li>
</ul>
<p><code>SW1(config)#interface range eth0/4 - 11</code> # This command brings into the sub-configuration mode for a range of interfaces</p>
<p><code>SW1(config-if-range)#switchport mode access</code> # This sets the switchport to access mode</p>
<p><code>SW1(config-if-range)# switchport access vlan 888</code> # This sets the access VLAN to be used on the port</p>
<h3 id="now-we-must-prune-the-black-hole-vlan-on-all-our-trunk-ports">Now we must prune the <strong>&quot;Black Hole&quot;</strong> VLAN on all our trunk ports.</h3>
<p><code>SW1(config-if-range)#switchport trunk allowed vlan except 888</code> # This command will allow all VLANs across the trunk except for the VLAN specified.</p>
<h3 id="the-full-configuration-is-shown-below">The full configuration is shown below.</h3>
<p><img src="blackhole%20_full_config.png" alt="" /></p>
<h3 id="below-is-a-picture-of-all-the-ports-on-our-switches-we-are-using-for-demonstration">Below is a picture of all the ports on our switches we are using for demonstration.</h3>
<p><img src="show_ip_int_br.png" alt="" /></p>
